using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using hqgl.dept;
using System.Xml;
using System.IO;
using HtmlTextFormat;
using System.Text.RegularExpressions;
using hqgl.user;
public partial class general_dept_tree : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataLoad();
    }
    public void DataLoad()
    {
        string from = Request["from"];
        TreeView1.Nodes.Clear();
        if (from == "user")
        {
            deptchuli dpc = new deptchuli();
            TreeView1.DataSource = dpc.MakeTreeDate("../user/user_list.aspx?id=", "right");
            TreeView1.DataBind();
        }
        else
        {
            deptchuli dpc = new deptchuli();
            TreeView1.DataSource=dpc.MakeTreeDate("dept_edit.aspx?id=", "right");  
            TreeView1.DataBind();
        }
        Response.Cache.SetNoStore();
    }
}
